package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店请货满足率 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkWeeklyrequisitionstatsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkWeeklyrequisitionstats(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkWeeklyrequisitionstatsMapper.addSKcCrkWeeklyrequisitionstats", pd);
    }

    public List<PageData> findSKcCrkWeeklyrequisitionstatsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkWeeklyrequisitionstatsMapper.selectSKcCrkWeeklyrequisitionstatsList", pd);
    }

    public Integer SKcCrkWeeklyrequisitionstatsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkWeeklyrequisitionstatsMapper.SKcCrkWeeklyrequisitionstatsRemove", pd);
    }


    public Integer updateSKcCrkWeeklyrequisitionstats(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkWeeklyrequisitionstatsMapper.updateSKcCrkWeeklyrequisitionstats", pd);
    }

}
